> ## Documentation Index
> Fetch the complete documentation index at: https://productlasso.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Smazat soubor

> Smazání nahraného souboru.

## Parametry cesty

<ParamField path="file_id" type="string" required>
  Jedinečný identifikátor souboru ke smazání.
</ParamField>

## Odpověď

Při úspěchu vrací `204 No Content`. Soubor je odstraněn z úložiště a jeho metadata jsou smazána.

<Warning>
  Pokud byla s tímto souborem vytvořena tabulka, tabulka a její extrahovaná data nejsou ovlivněna. Smazán je pouze původní zdrojový soubor.
</Warning>

<RequestExample>
  ```typescript TypeScript theme={null}
  await client.files.delete("file_abc123");
  ```

  ```python Python theme={null}
  client.files.delete("file_abc123")
  ```

  ```bash cURL theme={null}
  curl -X DELETE "https://hub.banditshq.com/api/v1/files/file_abc123" \
    -H "Authorization: Bearer lasso_..."
  ```
</RequestExample>
